#ifndef ZOOM_PLAYER_H
#define ZOOM_PLAYER_H

#include <zoom/types.h>

#define INPUT_UP 1
#define INPUT_DOWN 2
#define INPUT_RIGHT 4
#define INPUT_LEFT 8
#define INPUT_OPEN 16

typedef struct _PLAYER {
	VERTEX pos;
	float rotx;
	float rotysin, rotycos;
	int health;
	int shield;
	int room;
} PLAYER;

void MouseInput(int, int);
void DoInput(int);

#endif
